Bug 755707 - RFE: Add Drift Compliance report
RFE: Add Drift Compliance report
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.2
All All
urgent Severity urgent (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Jay Shaughnessy
Mike Foley
:
Depends On:
Blocks: jon30-sprint9
  Show dependency treegraph
 
Reported: 2011-11-21 15:23 EST by Jay Shaughnessy
Modified: 2012-02-07 14:18 EST (History)
2 users (show)

See Also:
Fixed In Version: 4.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:18:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2011-11-21 15:23:18 EST
Sprint 8 feedback strongly requested that we add a dedicated
"Drift Compliance" report to the report view.

This would basically revert the drift enhancements made to the
Inventory Summary report and make the new report targeted
specifically to the types supporting drift.  The look and feel
is to be similar to the inventory summary report, but the types
will be narrowed and the compliance column added.

Additionally, a bug in the number of resource column should be
fixed as well as fixing the sorting on the compliance column.
Comment 1 Jay Shaughnessy 2011-11-21 15:24:32 EST
master commit d8a00d8623e694df6bdd2926d0cfc523029d1bd5
Comment 2 Mike Foley 2011-11-22 11:20:35 EST
verified in master.

jay ... this is fine.  ok to push this to jon 3 branch.
Comment 3 Jay Shaughnessy 2011-11-23 12:57:23 EST
release_jon3.x commit bd7cb6b45b1b7f3f4adbbb7e781cba9c60268f4c

back to on_qa
Comment 4 Mike Foley 2011-11-23 13:22:26 EST
this change is not in this latest build https://hudson.qa.jboss.com/hudson/view/JON3%20Core/job/rhq-release-gwt-locales/19/

action item:  retest again in a later build.  if it is still not there, return to on_dev
Comment 5 Sunil Kondkar 2011-11-25 04:50:11 EST
Verified in build#20 (https://hudson.qa.jboss.com/hudson/view/JON3 Core/job/rhq-release-gwt-locales/20/)

Verified the 'Reports->Inventory->Drift Compliance' for types supporting drift (Platfrom, As Server). Aslo verified sorting on columns.
Comment 6 Mike Foley 2012-02-07 14:18:10 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.